=== test/globalbufferannotation/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds globalvariable.c
