=== test/temp/Makefile ===
all:
	gcc prg.c a.c b.c

lint:
	lclint prg.c  a.c b.c
