=== debian/changelog ===
splint (1:3.1.2+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Workaround binary-all FTBFS by reverting the splint-data.install
    change and going back to debhelper compat 12. (Closes: #983028)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Feb 2021 07:38:34 +0200

splint (1:3.1.2+dfsg-4) unstable; urgency=medium

  * QA upload.
  * The build will not fail with autoconf 2.71. (Closes: #978903)
  * debian/control: Add back Vcs-* fields with Debian GitLab repo.
  * debian/control: Bump Standards-Version to 4.5.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/splint-data.install: Make grammar compatible with dh13.
  * debian/splint.manpages: Let dh_install install of dh_installman
    handle manpage installation.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Feb 2021 20:17:07 -0500

splint (1:3.1.2+dfsg-3) unstable; urgency=medium

  * No-change sourceful upload. (Closes: #974872)

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Nov 2020 18:27:00 +0000

splint (1:3.1.2+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #924003)
  * Bump Standards-Version to 4.5.0.
  * Drop misleading Vcs-* headers.
  * Move various HTTP URIs to HTTPS.
  * Drop get-orig-source target.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Sep 2020 10:50:33 +0100

splint (1:3.1.2+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Fix VCS URLs in debian/control file.
  * Increment Debhelper compatibility level to 10.
  * Suppress Lintian warning: debian-watch-may-check-gpg-signature.
  * Remove obsolete file: debian/README.source.
  * Build with all hardening flags set.
  * debian/control: Fix splint-data's relationship to previous versions.
  * Convert patch headers to DEP-3 format compatible with gbp.
  * Update autoconf patches to work only on files not automatically generated.
  * Do not automatically un-apply patches so that clean is done properly.
  * Fix clean up rule in test/db3/Makefile.
  * Perform wrap and sort on all Debian control files.
  * Fix spelling mistakes in source and documentation.
  * Fix possible privacy breach issues in documentation.
  * Fix autoconf and automake warnings.
  * Force non-parallel builds, since parallel builds don't complete
    reliably.
  * Do not capture build path, host name or user name to make
    builds fully reproducible.
  * Convert debian/copyright file to DEP-5 format and update.
  * Update rules for creating DFSG upstream tarballs.
    This is so that we can correct the package's versioning, by
    replacing the appended .dfsg* with +dfsg* instead. The image file,
    doc/html/glowingwall-narrows.jpg, has also been included for the
    documentation package, and XZ compression is now used.
  * Remove superfluous duplication of tests.
  * Try to separate arch-specific and -independent rules.
  * Add doc-base registration for HTML documentation.
    In addition, standardise file extensions of all HTML files, and
    provide convenience links to them from the main package. (Closes: #548122)
  * Fix segmentation fault. (Closes: #775917)
  * Cherry-pick unreleased fix for parsing unary plus. (Closes: #462375)
  * Cherry-pick unreleased fix for "hh" printf modifier support.
    (Closes: #510821)
  * Cherry-pick unreleased upstream fix in order to handle C99-style
    mixing of statements and declarations. (Closes: #369264)
  * Update 03_359894_VA_ARGS.patch to the one applied upstream.
    The patch applied upstream also adds a check for +gnuextensions.
  * Cherry-pick other relevant unreleased upstream changes,
    so that we're fully up-to-date with "CVS" upstream.
  * Backup and restore mutable files for idempotent builds.
  * Add multiarch include path to standard include search paths.
    (Closes: #675025)
  * Fix names of timespec members. (Closes: #680121)
  * Fix Internal Bug at cscannerHelp.c:2428.
    (Closes: #473595, #476228, #498345, #548768, #569928, #601424)
  * debian/control: Fix splint-doc-html's relationship to prior versions
    of splint.
  * For build reproducibility, move *.lcd files to the main package
    as they contain architecture-specific information.
  * Move man page to main package to avoid Lintian warnings when
    building architecture-specific package alone.
  * Add LFS support to 32-bit architectures.
  * Indicate compliance with Debian Policy 4.1.0.

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 05 Sep 2017 16:29:16 +1000

splint (3.1.2.dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Add libfl-dev to Build-Depends. (Closes: #846448)
  * Mark split-{data,doc-html} Multi-Arch: foreign.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 01 Dec 2016 14:19:06 +0100

splint (3.1.2.dfsg1-3) unstable; urgency=medium

  * Orphan the package since the maintainer is MIA.
  * Switch to a git packaging repository (instead of SVN).
  * Simplify debian/rules by using "dh". Thus indirectly
    implement the build-arch/build-indep target. Closes: #822024
  * Clean up dependencies.
  * Switch to 3.0 (quilt) source format and update patches accordingly.
  * Add Chris Lamb's patch to make the build reproducible. Closes: #797254
  * Update some patches to work on configure.ac and not only configure.
  * Update 05_html_docs_css.patch to drop sourceforge logo link too.
  * Update Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 30 Aug 2016 15:09:09 +0200

splint (3.1.2.dfsg1-2) unstable; urgency=low

  * Add README.source to be compliant with policy 3.8.0
  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Update to debian/compat 6 and use dh_lintian instead of dh_installing
    override files.

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 17 Feb 2009 20:56:18 +0530

splint (3.1.2.dfsg1-1) unstable; urgency=low

  * Add missing-image-files in the manual to orig tarball via get-orig-source
  * Update Standards-Version to 3.8.0, no changes required.
  * Patch 05_html_docs_css to remove google trackers in docs and to adjust CSS

