=== debian/control ===
Source: splint
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), libfl-dev
Build-Conflicts: bison, bison++
Standards-Version: 4.5.1
Homepage: http://www.splint.org/
Vcs-Git: https://salsa.debian.org/debian/splint.git
Vcs-Browser: https://salsa.debian.org/debian/splint

Package: splint
Architecture: any
Multi-Arch: foreign
Depends: splint-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: splint-doc-html
Breaks: splint-data (<< 1:3.1.2+dfsg-1)
Replaces: splint-data (<< 1:3.1.2+dfsg-1)
Description: tool for statically checking C programs for bugs
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions

Package: splint-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: splint (<< 3.1.2.dfsg-1)
Replaces: splint (<< 3.1.2.dfsg-1)
Description: tool for statically checking C programs for bugs - data files
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions
 .
 This package contains the data files that are necessary to use splint.

Package: splint-doc-html
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: splint
Breaks: splint (<< 1:3.1.2+dfsg-1)
Conflicts: splint-doc
Replaces: splint (<< 1:3.1.2+dfsg-1), splint-doc
Description: tool for statically checking C programs for bugs - HTML documentation
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions
 .
 This package contains the manual (HTML documentation) for splint.
