=== debian/watch ===
version=3

opts=dversionmangle=s/[.+]dfsg.*$// https://www.splint.org/downloads/splint-(.*)\.src\.tgz debian debian/repack.sh
