## splint 3.1.2.dfsg1

=== test/conditions/Makefile ===
.PHONY: releases

LCLINT = lclint

all: releases

releases:
	${LCLINT} miroslaw.c -expect 1
	${LCLINT} releases.c
