=== test/simplebufferConstraintTests/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds m.c sizeof.c test3.c test7.c -expect 7
