=== test/strchr/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds strchr.c -expect 2
