=== debian/control ===
--- 
+++ 
@@ -2,20 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), libfl-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, flex, libfl-dev
 Build-Conflicts: bison, bison++
-Standards-Version: 4.5.1
+Standards-Version: 3.9.8
 Homepage: http://www.splint.org/
-Vcs-Git: https://salsa.debian.org/debian/splint.git
-Vcs-Browser: https://salsa.debian.org/debian/splint
+Vcs-Svn: https://anonscm.debian.org/git/splint.git
+Vcs-Browser: https://anonscm.debian.org/cgit/splint.git
 
 Package: splint
 Architecture: any
-Multi-Arch: foreign
-Depends: splint-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, splint-data (= ${source:Version})
 Suggests: splint-doc-html
-Breaks: splint-data (<< 1:3.1.2+dfsg-1)
-Replaces: splint-data (<< 1:3.1.2+dfsg-1)
 Description: tool for statically checking C programs for bugs
  splint is an annotation-assisted lightweight static checker.  It is a tool for
  statically checking C programs for security vulnerabilities and coding
@@ -41,7 +38,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: splint (<< 3.1.2.dfsg-1)
+Conflicts: splint (<< 3.1.2.dfsg-1)
 Replaces: splint (<< 3.1.2.dfsg-1)
 Description: tool for statically checking C programs for bugs - data files
  splint is an annotation-assisted lightweight static checker.  It is a tool for
@@ -72,9 +69,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: splint
-Breaks: splint (<< 1:3.1.2+dfsg-1)
 Conflicts: splint-doc
-Replaces: splint (<< 1:3.1.2+dfsg-1), splint-doc
+Replaces: splint-doc
 Description: tool for statically checking C programs for bugs - HTML documentation
  splint is an annotation-assisted lightweight static checker.  It is a tool for
  statically checking C programs for security vulnerabilities and coding
