=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg$// http://www.splint.org/downloads/splint-(.*)\.src\.tgz
